<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for course in course package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  course module in course package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Course',
    'names'         => 'Courses',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Courses',
        'sub'   => 'Courses',
        'list'  => 'List of courses',
        'edit'  => 'Edit course',
        'create'    => 'Create new course'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['show','hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'course_name'                => 'Please enter course name',
        'slug'                       => 'Please enter slug',
        'image'                      => 'Please enter image',
        'description'                => 'Please enter description',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'course_name'                => 'Course name',
        'slug'                       => 'Slug',
        'image'                      => 'Image',
        'description'                => 'Description',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'id'                         => ['name' => 'Id', 'data-column' => 1, 'checked'],
        'course_name'                => ['name' => 'Course name', 'data-column' => 2, 'checked'],
        'image'                      => ['name' => 'Image', 'data-column' => 3, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 4, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 5, 'checked'],
        'user_id'                    => ['name' => 'User id', 'data-column' => 6, 'checked'],
        'user_type'                  => ['name' => 'User type', 'data-column' => 7, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 8, 'checked'],
        'updated_at'                 => ['name' => 'Updated at', 'data-column' => 9, 'checked'],
        'deleted_at'                 => ['name' => 'Deleted at', 'data-column' => 10, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Courses',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
